MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003084ATutorTests/Surveyspublic2007-06-24 05:072015-09-18 19:49
Reportergreg 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusnewResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.5 
Summary0003084: timed tests
DescriptionHeres some details for adding timed tests. http://www.atutor.ca/view/12/10761/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
child of 0002362closeduser2 refresh tests 
child of 0003090closeduser2 one question per page 

-  Notes
(0002471)
greg (administrator)
2007-06-24 05:09

See the attachments in the forum message.
(0002484)
user2
2007-07-09 06:58

should it time from the first time the test is viewed or the last time the test is viewed?
(0002503)
greg (administrator)
2007-07-25 07:52

The initial document seems pretty clear, given the addition of a duration field, that time tests means once the test has been started by a user, the users has a particular amount of time to finish. I think we can ignore the IP range feature. that's pretty specific to that particular user.
(0002504)
greg (administrator)
2007-07-25 07:54

The time for now, should apply to the whole test, once loaded. Part of this work was to be dealing with reloading the page, and preventing previews of the test. That should already be done.
(0002510)
greg (administrator)
2007-08-01 13:16

Refreshing a random test still produces a different test each time.
(0002521)
user2
2007-08-02 05:48

same test, just different order. that's fine.
(0002555)
user2
2007-08-21 09:28

- need to tell the student that javascript is required and must be enabled.

- it is impossible to detect if javascript has been disabled for any period during the test.

- Issue History
Date Modified Username Field Change
2007-06-24 05:07 greg New Issue
2007-06-24 05:07 greg Affects version => SVN
2007-06-24 05:09 greg Note Added: 0002471
2007-07-06 08:16 user2 Relationship added child of 0002362
2007-07-09 06:58 user2 Note Added: 0002484
2007-07-09 08:50 user2 Status new => resolved
2007-07-09 08:50 user2 Fixed in Version => 1.5.5
2007-07-09 08:50 user2 Resolution open => fixed
2007-07-09 08:50 user2 Assigned To => user2
2007-07-16 11:44 user2 Status resolved => closed
2007-07-25 07:52 greg Note Added: 0002503
2007-07-25 07:52 greg Status closed => assigned
2007-07-25 07:54 greg Note Added: 0002504
2007-07-25 07:59 user2 Assigned To user2 =>
2007-07-25 07:59 user2 Status assigned => new
2007-07-25 08:00 user2 Relationship added child of 0003090
2007-08-01 13:16 greg Note Added: 0002510
2007-08-02 05:48 user2 Note Added: 0002521
2007-08-21 09:28 user2 Note Added: 0002555


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker